// pbts --name nopackage --out /home/jpg/pbtest/nopackage.d.ts /home/jpg/pbtest/nopackage.js
// Generated Tue, 13 Dec 2016 14:18:57 UTC

declare module "nopackage" {

   /**
    * Constructs a new A.
    * @exports A
    * @constructor
    * @param {Object} [properties] Properties to set
    */
   class A {
      /**
       * Constructs a new A.
       * @exports A
       * @constructor
       * @param {Object} [properties] Properties to set
       */
      constructor(properties?: Object);
   
      /**
       * A a.
       * @name A#a
       * @type {number}
       */
      a: number;
   
      /**
       * Encodes the specified A.
       * @function
       * @param {A|Object} message A or plain object to encode
       * @param {Writer} [writer] Writer to encode to
       * @returns {Writer} Writer
       */
      static encode(message: (A|Object), writer?: Writer): Writer;
   
      /**
       * Encodes the specified A, length delimited.
       * @param {A|Object} message A or plain object to encode
       * @param {Writer} [writer] Writer to encode to
       * @returns {Writer} Writer
       */
      static encodeDelimited(message: (A|Object), writer?: Writer): Writer;
   
      /**
       * Decodes a A from the specified reader or buffer.
       * @function
       * @param {Reader|Uint8Array} readerOrBuffer Reader or buffer to decode from
       * @param {number} [length] Message length if known beforehand
       * @returns {A} A
       */
      static decode(readerOrBuffer: (Reader|Uint8Array), length?: number): A;
   
      /**
       * Decodes a A from the specified reader or buffer, length delimited.
       * @param {Reader|Uint8Array} readerOrBuffer Reader or buffer to decode from
       * @returns {A} A
       */
      static decodeDelimited(readerOrBuffer: (Reader|Uint8Array)): A;
   
      /**
       * Verifies a A.
       * @param {A|Object} message A or plain object to verify
       * @returns {?string} `null` if valid, otherwise the reason why it is not
       */
      static verify: any;
   
   }
   
   /**
    * Constructs a new B.
    * @exports B
    * @constructor
    * @param {Object} [properties] Properties to set
    */
   class B {
      /**
       * Constructs a new B.
       * @exports B
       * @constructor
       * @param {Object} [properties] Properties to set
       */
      constructor(properties?: Object);
   
      /**
       * B b.
       * @name B#b
       * @type {string}
       */
      b: string;
   
      /**
       * Encodes the specified B.
       * @function
       * @param {B|Object} message B or plain object to encode
       * @param {Writer} [writer] Writer to encode to
       * @returns {Writer} Writer
       */
      static encode(message: (B|Object), writer?: Writer): Writer;
   
      /**
       * Encodes the specified B, length delimited.
       * @param {B|Object} message B or plain object to encode
       * @param {Writer} [writer] Writer to encode to
       * @returns {Writer} Writer
       */
      static encodeDelimited(message: (B|Object), writer?: Writer): Writer;
   
      /**
       * Decodes a B from the specified reader or buffer.
       * @function
       * @param {Reader|Uint8Array} readerOrBuffer Reader or buffer to decode from
       * @param {number} [length] Message length if known beforehand
       * @returns {B} B
       */
      static decode(readerOrBuffer: (Reader|Uint8Array), length?: number): B;
   
      /**
       * Decodes a B from the specified reader or buffer, length delimited.
       * @param {Reader|Uint8Array} readerOrBuffer Reader or buffer to decode from
       * @returns {B} B
       */
      static decodeDelimited(readerOrBuffer: (Reader|Uint8Array)): B;
   
      /**
       * Verifies a B.
       * @param {B|Object} message B or plain object to verify
       * @returns {?string} `null` if valid, otherwise the reason why it is not
       */
      static verify: any;
   
   }
   
   
}
